local burner_void_miner = {
	name = "burner-void-miner",
	icon = "__void-miners__/graphics/icons/burner-void-miner.png",
	icon_size = 32,--64
	--order
	type = "assembling-machine",
	max_health = 150,
	minable = {mining_time = 0.3, result = "burner-void-miner"},
	animation = {
		filename = "__void-miners__/graphics/entity/burner-void-miner.png",
		priority = "high",
		height = 64,
		width = 64,
		frame_count = 1,
		line_length = 1,
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__base__/sound/burner-mining-drill.ogg", volume = 1.5},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-0.8, -0.8}, {0.8, 0.8}},
	selection_box = {{-1, -1}, {1, 1}},
	energy_source = {
		type = "burner",
		fuel_category = "chemical",
		effectivity = 1,
		emissions_per_minute = 2,
		fuel_inventory_size = 1,
		smoke = {
			{
				name = "smoke",
				deviation = {0.25, 0.25},
				frequency = 5,
				position = {0.0, -0.8},
				starting_vertical_speed = 0.2,
				starting_frame_deviation = 60
			}
		}
	},
	crafting_categories = {"simple-void-mining"},
	crafting_speed = 0.5,
	energy_usage = "250kW",
	result_inventory_size = 1,
	source_inventory_size = 0,
}

local void_miner_1 = {
	name = "void-miner-1",
	icon = "__void-miners__/graphics/icons/void-miner-1.png",
	icon_size = 32,--64
	--order
	type = "assembling-machine",
	max_health = 300,
	minable = {mining_time = 0.3, result = "void-miner-1"},
	animation = {
		filename = "__void-miners__/graphics/entity/void-miner-1.png",
		priority = "high",
		height = 96,
		width = 96,
		frame_count = 1,
		line_length = 1,
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__void-miners__/sound/void-miner-working.ogg", volume = 0.5},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.3, -1.3}, {1.3, 1.3}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 1,
	},
	crafting_categories = {"simple-void-mining","electric-void-mining"},
	crafting_speed = 0.5,
	energy_usage = "250kW",
	result_inventory_size = 1,
	source_inventory_size = 1,
	fast_replaceable_group = "void-miners",
	next_upgrade = "void-miner-2",
	fluid_boxes = {
		{
			production_type = "output",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 10,
			base_level = 1,
			pipe_connections = {{ type="output", position = {0, 2} }},
			secondary_draw_orders = { north = -1 },
		},
	off_when_no_fluid_recipe = true,
	},
}

local void_miner_2 = {
	name = "void-miner-2",
	icon = "__void-miners__/graphics/icons/void-miner-2.png",
	icon_size = 32,--64
	--order
	type = "assembling-machine",
	max_health = 400,
	minable = {mining_time = 0.3, result = "void-miner-2"},
	animation = {
		filename = "__void-miners__/graphics/entity/void-miner-2.png",
		priority = "high",
		height = 96,
		width = 96,
		frame_count = 1,
		line_length = 1,
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__void-miners__/sound/void-miner-working.ogg", volume = 1},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.3, -1.3}, {1.3, 1.3}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	module_specification = {
		module_slots = 2
    },
	allowed_effects = {
        "consumption",
        "speed",
        "productivity",
        "pollution"
	},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 1.5,
	},
	crafting_categories = {"simple-void-mining","electric-void-mining","advanced-void-mining"},
	crafting_speed = 1,
	energy_usage = "500kW",
	result_inventory_size = 1,
	source_inventory_size = 1,
	fast_replaceable_group = "void-miners",
	--next_upgrade = "void-miner-3",
	fluid_boxes = {
		{
			production_type = "output",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 10,
			base_level = 1,
			pipe_connections = {{ type="output", position = {0, 2} }},
			secondary_draw_orders = { north = -1 }
		},
	off_when_no_fluid_recipe = true,
	},
}

local void_miner_3 = {
	name = "void-miner-3",
	icon = "__void-miners__/graphics/icons/void-miner-3.png",
	icon_size = 32,--64
	--order
	type = "assembling-machine",
	max_health = 500,
	minable = {mining_time = 0.3, result = "void-miner-3"},
	animation = {
		filename = "__void-miners__/graphics/entity/void-miner-3.png",
		priority = "high",
		height = 96,
		width = 96,
		frame_count = 1,
		line_length = 1,
	},
	open_sound = {filename = "__base__/sound/machine-open.ogg", volume = 0.5},
	close_sound = {filename = "__base__/sound/machine-close.ogg", volume = 0.5},
	repair_sound = {filename = "__base__/sound/manual-repair-simple.ogg", volume = 1},
	mined_sound = {filename = "__core__/sound/deconstruct-medium.ogg", volume = 1},
	vehicle_impact_sound = {{filename = "__base__/sound/car-crash.ogg", volume = 1}},
	working_sound = {filename = "__void-miners__/sound/void-miner-working.ogg", volume = 1.5},
	corpse = "medium-remnants",
	dying_explosion = "medium-explosion",
	flags = {"placeable-player", "player-creation"},
	collision_box = {{-1.3, -1.3}, {1.3, 1.3}},
	selection_box = {{-1.5, -1.5}, {1.5, 1.5}},
	module_specification = {
		module_slots = 4
    },
	allowed_effects = {
        "consumption",
        "speed",
        "productivity",
        "pollution"
	},
	energy_source = {
		type = "electric",
		usage_priority = "secondary-input",
		emissions_per_minute = 2,
	},
	crafting_categories = {"simple-void-mining","electric-void-mining","advanced-void-mining","nuclear-void-mining"},
	crafting_speed = 2,
	energy_usage = "1000kW",
	result_inventory_size = 1,
	source_inventory_size = 1,
	fast_replaceable_group = "void-miners",
	--next_upgrade = "void-miner-4",
	fluid_boxes = {
		{
			production_type = "output",
			pipe_picture = assembler2pipepictures(),
			pipe_covers = pipecoverspictures(),
			base_area = 10,
			base_level = 1,
			pipe_connections = {{ type="output", position = {0, 2} }},
			secondary_draw_orders = { north = -1 }
		},
	off_when_no_fluid_recipe = true,
	},
}

data:extend({
	burner_void_miner,
	void_miner_1,
	void_miner_2,
	void_miner_3,
})